package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学校专业录取数据对象 mall_school_accept
 *
 * @author lsm
 * @date 2023-10-18
 */
public class MallSchoolAcceptVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 录取数据表id */
    private Long schoolAcceptId;

    /** 学校id */
    private Long schoolId;

    /** 专业id */
    private Long majorId;

    /** 招生人数 */
    private Integer acceptNum;

    /** 录取最低分 */
    private Integer acceptLowest;

    /** 年份 */
    private String acceptYear;

    /** 录取原则 */
    private Long acceptRuleId;

    /** 投档公式 */
    private Long sendRuleId;

    /** 创建时间 */
    private String createAt;

    /** 更新时间 */
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    private String delFlag;

    public Long getSendRuleId() {
        return sendRuleId;
    }

    public void setSendRuleId(Long sendRuleId) {
        this.sendRuleId = sendRuleId;
    }

    public void setSchoolAcceptId(Long schoolAcceptId)
    {
        this.schoolAcceptId = schoolAcceptId;
    }

    public Long getSchoolAcceptId()
    {
        return schoolAcceptId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setAcceptNum(Integer acceptNum)
    {
        this.acceptNum = acceptNum;
    }

    public Integer getAcceptNum()
    {
        return acceptNum;
    }
    public void setAcceptLowest(Integer acceptLowest)
    {
        this.acceptLowest = acceptLowest;
    }

    public Integer getAcceptLowest()
    {
        return acceptLowest;
    }
    public void setAcceptYear(String acceptYear)
    {
        this.acceptYear = acceptYear;
    }

    public String getAcceptYear()
    {
        return acceptYear;
    }
    public void setAcceptRuleId(Long acceptRuleId)
    {
        this.acceptRuleId = acceptRuleId;
    }

    public Long getAcceptRuleId()
    {
        return acceptRuleId;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolAcceptId", getSchoolAcceptId())
            .append("schoolId", getSchoolId())
            .append("majorId", getMajorId())
            .append("acceptNum", getAcceptNum())
            .append("acceptLowest", getAcceptLowest())
            .append("acceptYear", getAcceptYear())
            .append("acceptRuleId", getAcceptRuleId())
            .append("sendRuleId", getSendRuleId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
